Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class PreviousSessionLoginHandlerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerBeanDefinitionParser
                  edu.internet2.middleware.shibboleth.idp.config.profile.authn.PreviousSessionLoginHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class PreviousSessionLoginHandlerBeanDefinitionParser

extends AbstractLoginHandlerBeanDefinitionParser

Spring bean definition parser for previous session authentication handlers.

Field Summary
`static QName` | `SCHEMA_TYPE` Schema type.

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`PreviousSessionLoginHandlerBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element config, BeanDefinitionBuilder builder)`
`protected Class` | `getBeanClass(Element arg0)`

Methods inherited from class edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerBeanDefinitionParser
`shouldGenerateId`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_TYPE

    public static final QName SCHEMA_TYPE

  Schema type.

Constructor Detail

### PreviousSessionLoginHandlerBeanDefinitionParser

    public PreviousSessionLoginHandlerBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element arg0)

  Overrides:
    `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(Element config,
                           BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractLoginHandlerBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.